diff --git a/books/Makefile.pamphlet b/books/Makefile.pamphlet
index 9acd625..033d52a 100644
--- a/books/Makefile.pamphlet
+++ b/books/Makefile.pamphlet
@@ -28,7 +28,7 @@ DVIPS=dvips -Ppdf
 PS2PDF=ps2pdf
 RM=rm -f
 
-BOOKS=${PDF}/bookvol0.pdf ${PDF}/bookvol1.pdf ${PDF}/bookvol2.pdf \
+BOOKS=${PDF}/bookvol0.pdf ${PDF}/bookvol1.pdf \
       ${PDF}/bookvol4.pdf \
       ${PDF}/bookvol7.1.pdf  \
       ${PDF}/bookvol8.pdf ${PDF}/bookvol8.1.pdf ${PDF}/bookvol10.pdf \
@@ -36,12 +36,38 @@ BOOKS=${PDF}/bookvol0.pdf ${PDF}/bookvol1.pdf ${PDF}/bookvol2.pdf \
       ${PDF}/bookvol10.4.pdf ${PDF}/bookvol10.5.pdf \
       ${PDF}/bookvol11.pdf ${PDF}/bookvolbib.pdf
 
-BUUKS=${PDF}/bookvol3.pdf \
+BUUKS=${PDF}/bookvol2.pdf ${PDF}/bookvol3.pdf \
       ${PDF}/bookvol5.pdf ${PDF}/bookvol6.pdf ${PDF}/bookvol7.pdf \
       ${PDF}/bookvol9.pdf ${PDF}/bookvol12.pdf
 
 all: ${PDF}/axiom.sty ${BUUKS} ${BOOKS} ${PDF}/toc.pdf
 
+${PDF}/bookvol2.pdf: ${IN}/bookvol2.pamphlet 
+	@echo books/1 making ${PDF}/bookvol2.pdf from ${IN}/bookvol2.pamphlet
+	@(cd ${PDF} ; \
+	  cp ${IN}/bookvol2.pamphlet ${PDF}/bookvol2.tex ; \
+	  cp -pr ${IN}/ps ${PDF} ; \
+	  if [ -z "${NOISE}" ] ; then \
+	    ${RM} bookvol2.toc ; \
+	    ${LATEX} bookvol2.tex ; \
+	    ${MAKEINDEX} bookvol2.idx >/dev/null ; \
+	    ${LATEX} bookvol2.tex >/dev/null ; \
+	    ${DVIPDFM} bookvol2.dvi 2>/dev/null ; \
+	    ${RM} bookvol2.aux bookvol2.dvi bookvol2.log bookvol2.ps ; \
+            ${RM} bookvol2.idx bookvol2.tex bookvol2.pamphlet ; \
+	    ${RM} bookvol2.ilg bookvol2.ind ; \
+	  else \
+	    ${RM} bookvol2.toc ; \
+	    ${LATEX} bookvol2.tex >${TMP}/trace ; \
+	    echo ...first latex complete ; \
+	    ${MAKEINDEX} bookvol2.idx >${TMP}/trace ; \
+	    ${LATEX} bookvol2.tex >${TMP}/trace ; \
+	    ${DVIPDFM} bookvol2.dvi 2>${TMP}/trace ; \
+	    ${RM} bookvol2.aux bookvol2.dvi bookvol2.log bookvol2.ps ; \
+            ${RM} bookvol2.idx bookvol2.tex bookvol2.pamphlet ; \
+	    ${RM} bookvol2.ilg bookvol2.ind ; \
+	  fi )
+
 ${PDF}/bookvol3.pdf: ${IN}/bookvol3.pamphlet 
 	@echo books/1 making ${PDF}/bookvol3.pdf from ${IN}/bookvol3.pamphlet
 	@(cd ${PDF} ; \
diff --git a/books/bookvol2.pamphlet b/books/bookvol2.pamphlet
index ad5b8a5..869c1e7 100644
--- a/books/bookvol2.pamphlet
+++ b/books/bookvol2.pamphlet
@@ -422,7 +422,7 @@ non-commutative algebra, LiePolynomial and XPBWPolynomial.
 \end{verbatim}
 which is correct.
 
-<<*>>=
+\begin{chunk}{*}
 PROJECT=bookvol2
 TANGLE=/usr/local/bin/NOTANGLE
 WEAVE=/usr/local/bin/NOWEAVE
@@ -435,7 +435,7 @@ all:
 	${MAKEINDEX} ${PROJECT}.idx
 	${LATEX} ${PROJECT}.tex 2>/dev/null 1>/dev/null
 
-@
+\end{chunk}
 \eject
 \begin{thebibliography}{99}
 \bibitem{1} Jenks, R.J. and Sutor, R.S. 
diff --git a/changelog b/changelog
index df79233..7683038 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20130124 tpd src/axiom-website/patches.html 20130124.05.tpd.patch
+20120124 tpd books/Makefile remove noweb from vol2
+20120124 tpd books/bookvol2 remove noweb
 20130124 tpd src/axiom-website/patches.html 20130124.04.tpd.patch
 20130124 tpd books/Makefile remove noweb from vol3, vol12
 20130124 tpd books/bookvol3 remove noweb
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index b20af52..d01c8e0 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3963,5 +3963,7 @@ books/bookvol10.4 expand hyperbolic identities
 src/input/trigtests.input test new hyperbolic identities
 <a href="patches/20130124.04.tpd.patch">20130124.04.tpd.patch</a>
 books/Makefile, bookvol3, bookvol12 remove noweb
+<a href="patches/20130124.05.tpd.patch">20130124.05.tpd.patch</a>
+books/Makefile, bookvol2 remove noweb
  </body>
 </html>
